DateFormatSymbolsProvider (Java Platform SE 8 )
Keywords: java.text.spi.DateFormatSymbolsProvider class
Date: 2026-03-16

compact1, compact2, compact3
java.text.spi

## Class DateFormatSymbolsProvider

- java.lang.Object
- - java.util.spi.LocaleServiceProvider
  - - java.text.spi.DateFormatSymbolsProvider

-     public abstract class DateFormatSymbolsProvider
      extends LocaleServiceProvider

  An abstract class for service providers that provide instances of the `DateFormatSymbols` class.
  Since:
    1.6

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DateFormatSymbolsProvider()` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract DateFormatSymbols` | `getInstance(Locale locale)` Returns a new `DateFormatSymbols` instance for the specified locale.

    - ### Methods inherited from class java.util.spi.LocaleServiceProvider

      `getAvailableLocales, isSupportedLocale`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateFormatSymbolsProvider

          protected DateFormatSymbolsProvider()

      Sole constructor. (For invocation by subclass constructors, typically implicit.)

  - ### Method Detail

    - #### getInstance

          public abstract DateFormatSymbols getInstance(Locale locale)

      Returns a new `DateFormatSymbols` instance for the specified locale.
      Parameters:
        `locale` - the desired locale
      Returns:
        a `DateFormatSymbols` instance.
      Throws:
        `NullPointerException` - if `locale` is null
        `IllegalArgumentException` - if `locale` isn't one of the locales returned from `getAvailableLocales()`.
      See Also:
        `DateFormatSymbols.getInstance(java.util.Locale)`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.